Support for jQuery's .on with fallback to .live #597

Closed
wants to merge 1 commit into
from

Projects

None yet

2 participants

@ttamminen

jQuery versions >=1.9.x have dropped support for .live method, therefore .on has to be used.

In order FlexSlider to have support for older versions of jQuery (that doesn't have .on) fallback .live will be used.

@ttamminen ttamminen Uses jQuery's .on method when it's supported
If user has a jQuery version that supports .on then it's used instead of
.live which is deprecated in the jQuery >=1.9.x
722d95b
@mattyza
Member
mattyza commented Mar 16, 2013

Please see the develop branch, where this is fixed in the upcoming version of FlexSlider.

Please also see the several issues submitted on this, where I've referenced the develop branch as well. :)

@ttamminen

Ah, okay. Sorry for the trouble. It seems to be taken care of already.

@ttamminen ttamminen closed this Mar 16, 2013
@mattyza
Member
mattyza commented Mar 16, 2013

No problem at all. Thanks for helping out and reporting. :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment